set talk off
set proc to sv
param varfile

* Open Xtend IVR variable file
if .not. svOpen(varfile)
   return
endif

* Check for function syntax
if svGetNum("$PluginParamCount") <> 2
   svSetString("$error","Syntax Error: Usage - $bal = GetBal($accno,$pin)")
   svClose()
   return
endif

* get values of Xtend IVR variables
maccno = svGetString("$PluginParam1")
mpin = svGetString("$PluginParam2")

* Locate the record
sele 0
use bank alias bank
locate for ACCNO = maccno .and. PIN = mpin
if ! found()
   svSetNum("$PluginReturn",-1)
   svClose()
   return
endif
svSetNum("$PluginReturn",bank->balance)
svClose()
close all
